import 'babel-polyfill';
import React from 'react';
import { render } from 'react-dom';
import { Row, Col } from 'react-grid-system';
import { SummaryDataPanel, 
  ConcurrentUsersDataPanel, 
  DeviceDataPanel, 
  GeographyDataPanel, 
  AdsDataPanel } from '@brightcove/live-reporting-data-panels';

//TODO - 
//1. Demo layout markup matching the Live UI Reporting View
//2. Include the ConcurrentDataPanel
//3. Include the other panel types

const deviceData = {label: 'DEVICE TYPE', data: [{device: 'Desktop', views: 500}, {device: 'Mobile', views: 100}, {device: 'Tablet', views: 30}, {device: 'Connected TV', views: 2}, {device: 'Other', views: 0}]};
const countryData = {label: 'GEOGRAPHY', data: [{country: 'United States', views: 200}, {country: 'Brazil', views: 100}, {country: 'United Kingdom', views: 3}, {country: 'Canada', views: 2}, {country: 'Russia', views: 0}]}

render(
  <Col>
    <Row><SummaryDataPanel data={{}}/></Row>
    <Row><ConcurrentUsersDataPanel data={{}}/></Row>
    <Row>
      <Col xs={12} sm={12} md={12} lg={4} xl={4}>
        <DeviceDataPanel data={deviceData.data} label={deviceData.label}/>
      </Col>
      <Col xs={12} sm={12} md={12} lg={4} xl={4}>
        <GeographyDataPanel data={countryData.data} label={countryData.label} />
      </Col>
      <Col xs={12} sm={12} md={12} lg={4} xl={4}>
        <AdsDataPanel label='Ads' />
      </Col>
    </Row>
  </Col>,
  document.getElementById('app')
)

module.hot.accept();